---
title: GitHub best practices
slug: MDN/Contribute/GitHub_best_practices
tags:
  - Best practices
  - Community
  - GitHub
  - MDN
---
<p>{{MDNSidebar}}</p>

<p>This page is a set of best practices for working with GitHub, which are useful when contributing to many different task types on MDN.</p>

<p>When choosing a GitHub issue to work on:</p>

<ol>
 <li>Write a comment in the issue saying that you would like to take it on, and we'll assign you to it.
  <ul>
   <li>If someone else is already assigned to the issue:
    <ol>
     <li>If this was more than one week ago, and there has not been much activity, @mention them and ask them if you can take it over, or otherwise help get it to completion.
      <ul>
       <li>If they agree for you to take it, we'll assign you to it and remove them.</li>
       <li>If they agree for you to take it and some work has been done already, or the agreement is to help them out with it, we'll assign you to it alongside them.</li>
      </ul>
     </li>
     <li>If it was less than one week ago, then have some patience, and give them a chance to work on it.</li>
    </ol>
   </li>
  </ul>
 </li>
 <li>If the issue has been marked as complete but needing a review, and you want to review it, @mention them in the comments and say you’ll review it.</li>
</ol>

<p>When you've been assigned to an issue:</p>

<ol>
 <li>Scope out the remainder of the work that needs to be done.
  <ul>
   <li>If the issue is well-described, and the work is pretty obvious, go ahead and do it.</li>
   <li>If the issue is not well-described, and/or you are not sure what is needed, feel free to @mention the poster and ask for more information.</li>
   <li>If you are not still sure who to ask, ask for help in the <a href="https://chat.mozilla.org/#/room/#mdn:mozilla.org">MDN Web Docs chat room</a> on <a href="https://wiki.mozilla.org/Matrix">Matrix</a>.</li>
  </ul>
 </li>
 <li>Once you think you’ve fixed an issue, ask for a review in the comments.</li>
 <li>Once an issue has been successfully reviewed and comments answered, you can mark it as closed.</li>
 <li>If you no longer have time to work on an issue, let us know in a comment so we can assign it someone else.</li>
</ol>
